Subject: Re: bug#62216: Odd file corruption in clojure mode and emacs 30 HEAD

From: Dmitry Gutov <[email-masked]>
Date: Wed, 30 Aug 2023 14:20:35 +0300

On 30/08/2023 10:50, Gerd Möllmann wrote:
>> On 16/05/2023 23:22, Jonathon McKitrick wrote:
>>> I'm frustrated that I cannot reproduce the bug reliably, but it does 
>>> happen constantly under emacs 30. What I have narrowed it down to
>>> is what seems to be a random injection of code from the same file or 
>>> the kill ring. That of course trips up paredit and any compilation.
>>
>> Something vaguely similar: I had a problem, in one session, that 
>> reindenting any line or region would, instead of simple whitespace for 
>> indentation, insert some repeated chunks of code from I don't know where.
>>
>> I didn't investigate this, though. This only happened once and a 
>> restart fixed it.
> 
> Found this bug-report just now.  I'm like Jonathan on an M1 mac, with 
> Ventura 13.5.1, and I have seen buffer corruptions happening.
> 
> The most recent example was edebug.el, which got auto-reverted because I 
> discarded a change in Magit.  When I tried to eval-buffer edebug.el, I 
> found that a sequence of closing parentheses had been inserted in the 
> buffer which were not present in the file on disk.
> 
> Alas, I accidentally hit C-c in the LLDB window, and that was it.
> 
> Is this perhaps a macOS thing?  Has somone seen that on other platforms?

I'm on GNU/Linux, but the behavior I described above (and which hasn't 
repeated since then, so far) was when indenting code, not on 
eval-buffer. So it could be an entirely different thing. Or a similar 
memory corruption, no idea.